Subject: Re: linux-next: Tree for September 6 (drivers/base/core)

From: Greg KH <[email-masked]>
Date: Mon, 6 Sep 2010 17:14:07 -0700

On Mon, Sep 06, 2010 at 04:49:18PM -0700, Randy Dunlap wrote:
> On Mon, 6 Sep 2010 14:17:27 +1000 Stephen Rothwell wrote:
> 
> > Hi all,
> > 
> > Changes since 20100903:
> > 
> > The powerpc tree still has its build failure for which I applied a patch.
> > 
> > I still have a patch to the drivers-x86 tree to remove a Kconfig warning.
> > 
> > ----------------------------------------------------------------------------
> 
> 
> when CONFIG_BLOCK is not enabled:
> 
> drivers/base/core.c:622: error: 'block_class' undeclared (first use in this function)
> drivers/base/core.c:712: error: 'block_class' undeclared (first use in this function)
> drivers/base/core.c:742: error: 'block_class' undeclared (first use in this function)

Ah, due to the CONFIG_SYSFS_DEPRECATED stuff.  I'll work on this later
today if Kay doesn't beat me to it...

thanks,

greg k-h